<div class="container">
  <div class="table-responsive">
    <div class="table-wrapper">
      <div class="table-title">
        <div class="row">
          <div class="col-xs-6">
            <h2>Address <b>Book</b></h2>
          </div>
          <div class="col-xs-6">
            <a href="#addRecordModal" class="btn btn-success" data-toggle="modal"><i class="material-icons">&#xE147;</i>
              <span>Add Record</span></a>
            <a href="#editRecordModal" class="btn btn-warning" data-toggle="modal"><i
                class="material-icons">&#xE254;</i> <span>Edit Record</span></a>
          </div>
        </div>
      </div>
      <table id="mytable" class="table table-striped table-hover">
        <thead>
          <tr>
            <th>
              <span class="custom-checkbox">
                <input type="checkbox" id="selectAll" />
                <label for="selectAll"></label>
              </span>
            </th>
            <th>Id</th>
            <th>Name</th>
            <th>Email</th>
            <th>Address</th>
            <th>Phone</th>
            <th>Actions</th>
          </tr>
        </thead>
        <tbody>
          <tr *ngFor="let record of records">
            <td>
              <span class="custom-checkbox">
                <input type="checkbox" id="checkbox1" name="options[]" value="1" />
                <label for="checkbox1"></label>
              </span>
            </td>
            <td>{{record.id}}</td>
            <td>{{record.name}}</td>
            <td>{{record.email}}</td>
            <td>{{record.address}}</td>
            <td>{{record.mobile}}</td>
            <td>
              <a href="#deleteRocordModal" class="delete" data-toggle="modal"><i class="material-icons"
                  data-toggle="tooltip" title="Delete" (click)="deleteRecord(record?.id)">&#xE872;</i></a>
            </td>
          </tr>
        </tbody>
      </table>
    </div>
  </div>
</div>

<!-- Edit Modal HTML -->
<div id="addRecordModal" class="modal fade">
  <div class="modal-dialog">
    <div class="modal-content">
      <form #addForm="ngForm" (ngSubmit)="onSubmit()">
        <div class="modal-header">
          <h4 class="modal-title">Add Record</h4>
          <button type="button" class="close" data-dismiss="modal" aria-hidden="true"
            onClick="window.location.reload();">
            &times;
          </button>
          <div class="alert alert-danger" [hidden]="!error">
            {{error}}
          </div>
          <div class="alert alert-success" [hidden]="!success">
            {{success}}
          </div>
        </div>
        <div class="modal-body">
          <div class="form-group">
            <label>Name</label>
            <input type="text" name="name" class="form-control" required [(ngModel)]="form.name" placeholder="Name" />
          </div>
          <div class="form-group">
            <label>Email</label>
            <input type="email" name="email" class="form-control" required [(ngModel)]="form.email"
              placeholder="Email" />
          </div>
          <div class="form-group">
            <label>Address</label>
            <textarea name="address" class="form-control" required [(ngModel)]="form.address"
              placeholder="Address"></textarea>
          </div>
          <div class="form-group">
            <label>Phone</label>
            <input type="text" name="mobile" class="form-control" required [(ngModel)]="form.mobile"
              placeholder="Mobile number" />
          </div>
        </div>
        <div class="modal-footer">
          <input type="button" class="btn btn-default" data-dismiss="modal" value="Cancel"
            onClick="window.location.reload();" />
          <input type="submit" class="btn btn-success" value="Add" />
        </div>
      </form>
    </div>
  </div>
</div>
<!-- Edit Modal HTML -->
<div id="editRecordModal" class="modal fade">
  <div class="modal-dialog">
    <div class="modal-content">
      <form #editForm="ngForm" (ngSubmit)="onEdit()">
        <div class="modal-header">
          <h4 class="modal-title">Edit Record</h4>
          <button type="button" class="close" data-dismiss="modal" aria-hidden="true"
            onClick="window.location.reload();">
            &times;
          </button>
          <div class="alert alert-danger" [hidden]="!error">
            {{error}}
          </div>
          <div class="alert alert-success" [hidden]="!success">
            {{success}}
          </div>
        </div>
        <div class="modal-body">
          <div class="form-group">
            <label>Select record id to edit</label>
            <select class="form-select" [(ngModel)]="selectedRecord" name="name">
              <option *ngFor="let record of records" value="{{record.id}}">
                {{record.id}}
              </option>
            </select>
          </div>
          <div class="form-group">
            <label>Name</label>
            <input type="text" name="name" class="form-control" required [(ngModel)]="form.name" placeholder="Name" />
          </div>
          <div class="form-group">
            <label>Email</label>
            <input type="email" name="email" class="form-control" required [(ngModel)]="form.email"
              placeholder="Email" />
          </div>
          <div class="form-group">
            <label>Address</label>
            <textarea name="address" class="form-control" required [(ngModel)]="form.address"
              placeholder="Address"></textarea>
          </div>
          <div class="form-group">
            <label>Phone</label>
            <input type="text" name="mobile" class="form-control" required [(ngModel)]="form.mobile"
              placeholder="Mobile number" />
          </div>
        </div>
        <div class="modal-footer">
          <input type="button" class="btn btn-default" data-dismiss="modal" value="Cancel"
            onClick="window.location.reload();" />
          <input type="submit" class="btn btn-success" value="Add" />
        </div>
      </form>
    </div>
  </div>
</div>
<!-- Delete Modal HTML -->
<div id="deleteRocordModal" class="modal fade">
  <div class="modal-dialog">
    <div class="modal-content">
      <form>
        <div class="modal-header">
          <h4 class="modal-title">Delete Record</h4>
          <button type="button" class="close" data-dismiss="modal" aria-hidden="true"
            onClick="window.location.reload();">
            &times;
          </button>
        </div>
        <div class="modal-body">
          <p>Records successfully delete</p>
          <p class="text-warning">
            <small>This action cannot be undone.</small>
          </p>
        </div>
        <div class="modal-footer">
          <input type="button" class="btn btn-default" data-dismiss="modal" value="Cancel"
            onClick="window.location.reload();" />
          <input type="submit" class="btn btn-danger" value="Delete" onClick="window.location.reload();" />
        </div>
      </form>
    </div>
  </div>
</div>
